### Signal

# Gtk Widget::destroy

since: 4.0

#### Declaration

    void
    destroy (
      GtkWidget* self,
      gpointer user_data
    )

#### Description [src]

Signals that all holders of a reference to the widget should release the reference that they hold.

May result in finalization of the widget if all references are released.

This signal is not suitable for saving widget state.

Default handler: The default handler is called after the handlers added via `g_signal_connect_after()`.
Signal emission will restart instead of recursing
Hooks are disabled for this signal
Available since: 4.0